org.apache.ant.compress.util

## Class ZStreamFactory

- java.lang.Object
- - org.apache.ant.compress.util.ZStreamFactory

- All Implemented Interfaces:
    CompressorStreamFactory

      public class ZStreamFactory
      extends java.lang.Object
      implements CompressorStreamFactory

  Creates streams for the traditional Unix compress format.
  Since:
    Apache Compress Antlib 1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZStreamFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.compress.compressors.CompressorInputStream` | `getCompressorStream(java.io.InputStream stream)`
    `org.apache.commons.compress.compressors.CompressorOutputStream` | `getCompressorStream(java.io.OutputStream stream)` Not implemented.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZStreamFactory

          public ZStreamFactory()

  - ### Method Detail

    - #### getCompressorStream

          public org.apache.commons.compress.compressors.CompressorInputStream getCompressorStream(java.io.InputStream stream)
                                                                                            throws java.io.IOException

      Specified by:
        `getCompressorStream` in interface `CompressorStreamFactory`
      Parameters:
        `stream` - the stream to read from, should be buffered
      Throws:
        `java.io.IOException`

    - #### getCompressorStream

          public org.apache.commons.compress.compressors.CompressorOutputStream getCompressorStream(java.io.OutputStream stream)
                                                                                             throws java.io.IOException

      Not implemented.
      Specified by:
        `getCompressorStream` in interface `CompressorStreamFactory`
      Parameters:
        `stream` - the stream to write to, should be buffered
      Throws:
        `java.io.IOException`